Skip to main content
Version: API v1

Get domain overview

GET/v1/accounts/{accountIdentifier}/domainOverview
API version
v1
Request method
GET
Operation ID
getDomainOverview

Get the data for the domain overview

Request​

  • accountIdentifierstringrequired

    Account name or uid.

Responses​

Format
application/json
Description

List of domain records for the domain overview

  • Array[
    • *object
      • uidnumberrequired
      • _classstringrequired
      • fullnamestringrequired
      • domainstringrequired
      • targetstringrequired
      • accountUidnumberrequired
      • accountNamestringrequired
      • useAutodiscoverbooleanrequired
      • hasSslCertificatebooleanrequired

        Indicates if a TLS certificate should be provisioned for this domain item. See isSslReady for the actual readiness of the certificate.

      • hasVarnishbooleanrequired

        Indicates if a Varnish cache is active for this domain item.

      • isSubDomainbooleanrequired
      • isExternalbooleanrequired

        Indicates if this domain item is registered via mittwald, or via an external registry.

      • isSslReadybooleanrequired

        This property is false when a TLS certificate is currently being provisioned, or otherwise true. This means that this property is true, when A) no certificate is active at all (see hasSslCertificate, in this case), or B) a certificate has successfully been provisioned.

      • isTodoReadybooleandeprecatedrequired

        Deprecated in favor of isReady.

      • isRegistrarJobOpenbooleanrequired
      • isReadybooleanrequired

        Indicates if the domain has been provisioned successfully (true), or if it is currently being provisioned or edited (false).

    ]
Content-Type: application/json

[
{
"uid": 123,
"_class": "string",
"fullname": "string",
"domain": "string",
"target": "string",
"accountUid": 123,
"accountName": "string",
"useAutodiscover": true,
"hasSslCertificate": true,
"hasVarnish": true,
"isSubDomain": true,
"isExternal": true,
"isSslReady": true,
"isRegistrarJobOpen": true,
"isReady": true
}
]
{
"type": "array",
"items": {
"type": "object",
"required": [
"uid",
"_class",
"fullname",
"domain",
"target",
"accountUid",
"accountName",
"useAutodiscover",
"hasSslCertificate",
"hasVarnish",
"isSubDomain",
"isExternal",
"isSslReady",
"isTodoReady",
"isRegistrarJobOpen",
"isReady"
],
"properties": {
"uid": {
"type": "number"
},
"_class": {
"type": "string"
},
"fullname": {
"type": "string"
},
"domain": {
"type": "string"
},
"target": {
"type": "string"
},
"accountUid": {
"type": "number"
},
"accountName": {
"type": "string"
},
"useAutodiscover": {
"type": "boolean"
},
"hasSslCertificate": {
"type": "boolean",
"description": "Indicates if a TLS certificate should be provisioned for this domain item. See `isSslReady` for the actual readiness of the certificate.\n"
},
"hasVarnish": {
"type": "boolean",
"description": "Indicates if a Varnish cache is active for this domain item.\n"
},
"isSubDomain": {
"type": "boolean"
},
"isExternal": {
"type": "boolean",
"description": "Indicates if this domain item is registered via mittwald, or via an external registry.\n"
},
"isSslReady": {
"type": "boolean",
"description": "This property is `false` when a TLS certificate is currently being provisioned, or otherwise `true`. This means that this property is `true`, when A) no certificate is active at all (see `hasSslCertificate`, in this case), or B) a certificate has successfully been provisioned.\n"
},
"isTodoReady": {
"type": "boolean",
"deprecated": true,
"description": "Deprecated in favor of `isReady`.\n"
},
"isRegistrarJobOpen": {
"type": "boolean"
},
"isReady": {
"type": "boolean",
"description": "Indicates if the domain has been provisioned successfully (`true`), or if it is currently being provisioned or edited (`false`).\n"
}
}
}
}

Usage examples​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v1/accounts/string/domainOverview

On this page